#!/bin/sh
# Author : emptyhua@gmail.com
# Site : bluehua.org
ACTION=$1
DISPLAY=":0"
SELF="/home/${USER}/bin/mpc.sh"
if [ -f "/tmp/mpc_ing" ];then
    exit
fi

killall mpc 
killall notify-osd  2>/dev/null 

echo "xx" > /tmp/mpc_ing

rm_ing()
{
    rm /tmp/mpc_ing
}

select_song()
{
    param="`cat /tmp/mpc_s_r`"
    rm /tmp/mpc_s_r
    cmd="zenity --list --title=搜索 --width=500 --column=搜索结果 ${param}"
    echo "$cmd" | sh
}

case "$ACTION" in
#下一首
    next)
        mpc next
        notify-send "Mpc Next" "`mpc`"
        rm_ing
        ;;
#上一首
    prev)
        mpc prev
        notify-send "Mpc Prev" "`mpc`"
        rm_ing
        ;;
#停止
    stop)
        mpc stop
        rm_ing
        ;;
#播放
    play)
        mpc toggle 
        rm_ing
        ;;
#快捷搜索
    popfav)
        keyword="`zenity --entry --text=搜索关键字`"
        if [ -n "$keyword" ];then
            songs="`mpc playlist | sed -n \"/${keyword}/p\"`"
            if [ ! -n "$songs" ];then
                zenity --info --text="没有匹配的歌曲"
            else
                echo "${songs}" | awk "{printf(\"\\\"%s\\\" \",\$0)}" > /tmp/mpc_s_r
                song="`select_song | sed -e \"s/^ \([>0-9]*\)).*/\1/\"`"
                if [ -n "$song" ];then
                    mpc play $song
                    notify-send "Mpc playing" "`mpc`"
                fi
            fi
        fi
        rm_ing
        ;;
    *)
        rm_ing
        exit 
        ;;
esac
